extends Area3D

signal cleaned



func _on_Puddle_body_entered(body: Node3D) -> void:

	if body.is_in_group("player") and body.ptm.active_tool == body.ptm.PLAYERTOOLS.CLEANING_TOOL:
		emit_signal("cleaned")
		body.ptm.play_animation()
		body.enable_movement = false
		#body.stop_time = 1.0
		body.wait_after_puddle_cleaned()
		call_deferred("queue_free")
		
